### Research compendium for "Using the right tool for the job: understanding the difference between unsupervised and supervised analyses of multivariate ecological data."

[![DOI](https://zenodo.org/badge/139384786.svg)](https://zenodo.org/badge/latestdoi/139384786)

Research compendium for **Scott ER, Crone EE (2021) Using the right tool for the job: the difference between unsupervised and supervised analyses of multivariate ecological data. Oecologia. https://doi.org/10.1007/s00442-020-04848-w**

This repository contains the R scripts (.R and .Rmd files) necessary to reproduce results from this paper. Datasets generated by these scripts are found in the "data" directory. To run scripts "1-muir-data-wrangling.R" and "2-muir-analys.Rmd", you will need to download the dataset from Muir et al (2017), from [Data Dryad](https://datadryad.org/stash/dataset/doi:10.5061/dryad.1r8c2). Unzip the download and place the contents inside "data/muir/".
Figures and tables generated by the analysis are found in the "out" directory.

This project uses [renv](https://rstudio.github.io/renv/articles/renv.html) to manage package dependencies. After downloading this (or forking it via GitHub), open the .Rproj file.  After installing and loading the `renv` package, simply run `restore()` to install the exact configuration of R packages originally used in this analysis.

### References
Muir CD, Conesa MÀ, Roldán EJ, et al (2017) Weak coordination between leaf structure and function among closely related tomato species. New Phytol 213:1642–1653. doi: 10.1111/nph.14285